Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class Members.PluralAttributeImpl<X,C,E>

    java.lang.Object
      org.apache.openjpa.persistence.meta.Members.Member<X,C>
          org.apache.openjpa.persistence.meta.Members.PluralAttributeImpl<X,C,E>

Type Parameters:
  `X` - the type that owns this member
  `C` - the container type that holds this member (e.g. java.util.Set<Employee>)
  `E` - the type of the element held by this member (e.g. Employee).

All Implemented Interfaces:
  Comparable<Members.Member<X,C>>, Attribute<X,C>, Bindable<E>, PluralAttribute<X,C,E>

Direct Known Subclasses:
  Members.CollectionAttributeImpl, Members.ListAttributeImpl, Members.MapAttributeImpl, Members.SetAttributeImpl

Enclosing class:
  Members

    public abstract static class Members.PluralAttributeImpl<X,C,E>

extends Members.Member<X,C>
implements PluralAttribute<X,C,E>

Root of multi-cardinality attribute.

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.PluralAttribute
`PluralAttribute.CollectionType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.meta.Members.Member
`fmd, owner`

Constructor Summary
`Members.PluralAttributeImpl(AbstractManagedType<X> owner, FieldMetaData fmd)`

Method Summary
`Class<E>` | `getBindableJavaType()` Returns the bindable Java type of this attribute.
`Bindable.BindableType` | `getBindableType()` Returns the bindable category of this attribute.
`Type<E>` | `getElementType()` Returns the type representing the element type of the collection.
`Attribute.PersistentAttributeType` | `getPersistentAttributeType()` Returns the persistent category for the attribute.

Methods inherited from class org.apache.openjpa.persistence.meta.Members.Member
`compareTo, getDeclaringType, getJavaMember, getJavaType, getName, getType, isAssociation, isCollection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.PluralAttribute
`getCollectionType`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, isAssociation, isCollection`

Constructor Detail

### Members.PluralAttributeImpl

    public Members.PluralAttributeImpl(AbstractManagedType<X> owner,
                                       FieldMetaData fmd)

Method Detail

### getElementType

    public final Type<E> getElementType()

  Returns the type representing the element type of the collection.

  Specified by:
    `getElementType` in interface `PluralAttribute<X,C,E>`

### getBindableType

    public final Bindable.BindableType getBindableType()

  Returns the bindable category of this attribute.

  Specified by:
    `getBindableType` in interface `Bindable<E>`

### getBindableJavaType

    public Class<E> getBindableJavaType()

  Returns the bindable Java type of this attribute. For PLURAL_ATTRIBUTE, the Java element type is returned.

  Specified by:
    `getBindableJavaType` in interface `Bindable<E>`

### getPersistentAttributeType

    public Attribute.PersistentAttributeType getPersistentAttributeType()

  Description copied from class: `Members.Member`
  Returns the persistent category for the attribute.

  Specified by:
    `getPersistentAttributeType` in interface `Attribute<X,C>`
  Overrides:
    `getPersistentAttributeType` in class `Members.Member<X,C>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.